ONVIF::Analytics::Types::ColorDescriptor(3)

NAME
ONVIF::Analytics::Types::ColorDescriptor

DESCRIPTION
Perl data type class for the XML Schema defined complexType ColorDescriptor from the namespace http://www.onvif.org/ver10/schema.

  PROPERTIES
The following properties may be accessed using get_PROPERTY / set_PROPERTY methods:

•   ColorCluster

•   Extension

METHODS

  new
Constructor. The following data structure may be passed to new():

 { # ONVIF::Analytics::Types::ColorDescriptor
   ColorCluster =>  {
     Color => ,
     Weight =>  $some_value, # float
     Covariance => ,
   },
   Extension =>  { # ONVIF::Analytics::Types::ColorDescriptorExtension
   },
 },

AUTHOR
Generated by SOAP::WSDL